%global	mainver	0.12.1
#%%global	minorver	rc1

%global	fedorarel	1

Name:		wkhtmltopdf
Version:	%{mainver}
Release:	%{?minorver:0.}%{fedorarel}%{?minorver:.%minorver}%{?dist}
Summary:	Simple shell utility to convert html to pdf

License:	GPLv3+
URL:		http://wkhtmltopdf.org/
#Source0:	http://wkhtmltopdf.googlecode.com/files/%{name}-%{mainver}%{?minorver:_%minorver}.tar.bz2
# https://github.com/wkhtmltopdf/wkhtmltopdf/archive/%%{version}.tar.gz
# Renamed above
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	qtwebkit-devel%{?isa}

%description
Simple shell utility to convert html to pdf using the webkit
rendering engine, and qt. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?isa} = %{version}-%{release}
Requires:	qtwebkit-devel%{?isa}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{mainver}%{?minorver:_%minorver}
# libdir handling.. better handling needed
sed -i.lib -e \
	'/INSTALLBASE/s|lib|%{_lib}|' \
	src/lib/lib.pro

# Remove BOM
sed -i.bom -e 's|\xEF\xBB\xBF||' AUTHORS
touch -r AUTHORS{.bom,}
rm -f AUTHORS.bom

%build
%{_qt4_qmake}
make %{_smp_mflags}

%install
make install \
	INSTALL_ROOT=%{buildroot}%{_prefix}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc	AUTHORS
%doc	COPYING
%doc	CHANGELOG.md
%doc	CHANGELOG-OLD
%doc	README.md

%{_libdir}/libwkhtmltox.so.0*
%{_bindir}/wkhtmltoimage
%{_bindir}/wkhtmltopdf

%{_mandir}/man1/wkhtmltoimage.1*
%{_mandir}/man1/wkhtmltopdf.1*

%files devel
%doc    examples/
%{_libdir}/libwkhtmltox.so
%{_includedir}/wkhtmltox/


%changelog
* Wed Aug 27 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.1-1
- 0.12.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-1.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun  3 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.12.0-1
- 0.12.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0-0.2.rc1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.11.0-0.2.rc1
- Include examples/ directory to devel documents

* Mon Feb 11 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.11.0-0.1.rc1
- Initial packaging
